org.deidentifier.arx.aggregates

## Enum HierarchyBuilderDate.Granularity

- java.lang.Object
- - java.lang.Enum<HierarchyBuilderDate.Granularity>
  - - org.deidentifier.arx.aggregates.HierarchyBuilderDate.Granularity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HierarchyBuilderDate.Granularity>

Enclosing class:
  HierarchyBuilderDate

    public static enum HierarchyBuilderDate.Granularity
    extends java.lang.Enum<HierarchyBuilderDate.Granularity>

Granularity

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CENTURY` Granularity
`DAY_MONTH_YEAR` Granularity
`DECADE` Granularity
`HOUR_DAY_MONTH_YEAR` Granularity
`MILLENIUM` Granularity
`MINUTE_HOUR_DAY_MONTH_YEAR` Granularity
`MONTH_YEAR` Granularity
`QUARTER` Granularity
`SECOND_MINUTE_HOUR_DAY_MONTH_YEAR` Granularity
`WEEK` Granularity
`WEEK_MONTH_YEAR` Granularity
`WEEK_YEAR` Granularity
`WEEKDAY` Granularity
`YEAR` Granularity

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getDefaultFormat()` Returns the default format
`boolean` `isFormatSupported()` Returns whether a format-string is supported by this granularity
`static HierarchyBuilderDate.Granularity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HierarchyBuilderDate.Granularity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SECOND_MINUTE_HOUR_DAY_MONTH_YEAR

    public static final HierarchyBuilderDate.Granularity SECOND_MINUTE_HOUR_DAY_MONTH_YEAR

Granularity

#### MINUTE_HOUR_DAY_MONTH_YEAR

    public static final HierarchyBuilderDate.Granularity MINUTE_HOUR_DAY_MONTH_YEAR

Granularity

#### HOUR_DAY_MONTH_YEAR

    public static final HierarchyBuilderDate.Granularity HOUR_DAY_MONTH_YEAR

Granularity

#### DAY_MONTH_YEAR

    public static final HierarchyBuilderDate.Granularity DAY_MONTH_YEAR

Granularity

#### WEEK_MONTH_YEAR

    public static final HierarchyBuilderDate.Granularity WEEK_MONTH_YEAR

Granularity

#### WEEK_YEAR

    public static final HierarchyBuilderDate.Granularity WEEK_YEAR

Granularity

#### MONTH_YEAR

    public static final HierarchyBuilderDate.Granularity MONTH_YEAR

Granularity

#### WEEKDAY

    public static final HierarchyBuilderDate.Granularity WEEKDAY

Granularity

#### WEEK

    public static final HierarchyBuilderDate.Granularity WEEK

Granularity

#### QUARTER

    public static final HierarchyBuilderDate.Granularity QUARTER

Granularity

#### YEAR

    public static final HierarchyBuilderDate.Granularity YEAR

Granularity

#### DECADE

    public static final HierarchyBuilderDate.Granularity DECADE

Granularity

#### CENTURY

    public static final HierarchyBuilderDate.Granularity CENTURY

Granularity

#### MILLENIUM

    public static final HierarchyBuilderDate.Granularity MILLENIUM

Granularity

### Method Detail

#### values

    public static HierarchyBuilderDate.Granularity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HierarchyBuilderDate.Granularity c : HierarchyBuilderDate.Granularity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HierarchyBuilderDate.Granularity valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getDefaultFormat

    public java.lang.String getDefaultFormat()

Returns the default format

Returns:

#### isFormatSupported

    public boolean isFormatSupported()

Returns whether a format-string is supported by this granularity

Returns: